<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.9

Copyright (C) 2006-2009  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/

session_start(); 
if (!isset($_SESSION["lng"])) $_SESSION["lng"]="fr";
include_once("../lng/".$_SESSION["lng"].".inc.php"); // Paramètres de language
include_once("../inc/config.inc.php");
include_once("../inc/func_log.inc.php");
if (CheckURLLog(FALSE)==FALSE) header("Location: ../index.php");
if (CheckNivLog("5-9")==FALSE) header("Location: ../index.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
Archivelog(@$_SESSION["code_log"]);

$td = strip_tags(trim($_GET['td']));
$coderech = strip_tags(trim($_GET['code']));

$pbm_sp=FALSE;

if ($coderech <> "")
{
	$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
	mysql_select_db(DBNAME);
	$rech = "SELECT * FROM " .TBSP. " WHERE sp_code = '$coderech'";
	$rs = mysql_query($rech)or die(mysql_error());
	if (mysql_num_rows($rs) == 0)
		$pbm_sp=TRUE;
	else
	{
		if ($row = mysql_fetch_array($rs)) 
		{
			extract ($row);
		}
	}
	mysql_free_result($rs);
	mysql_close($conn);
}
else
{
	if ($td == "add")
	{
		$sp_code = "";
		$sp_desc = "";
	}
	else
		$pbm_sp=TRUE;
}

switch ($td)
{
	case "add" :
		$titre = $titlein_sp_maj_add;
		break;
	case "edit" :
		$titre = $titlein_sp_maj_edit;
		break;
	case "del" :
		$titre = $titlein_sp_maj_del;
		break;
	default :
		$pbm_sp=TRUE;
		break;
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>SMI - <?PHP echo $title_esp_prive; ?> : <?PHP echo $title_sp_maj; ?></title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->

<script language="JavaScript" src="../jscript/coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour fenêtres -->
<script language="JavaScript" src="../jscript/fen.js"></script>

<!-- Scripts Javascript pour contrôle de formulaire -->
<script	type="text/javascript" src="../jscript/vform/vform.js"></script>

<script language="javascript">
<!--
var tab_champ=new Array(
	"nom:code ; format:txt ; req:Y ; txt:<?PHP echo html_entity_decode($txt_chp_libabr); ?> ; lmn:1 ; lmx:5; stok:frmok ; stbad:frmbad",
	"nom:desc ; format:txt ; req:Y ; txt:<?PHP echo html_entity_decode($txt_chp_lib); ?>; lmn:1 ; lmx:50; stok:frmok ; stbad:frmbad");
//-->
</script>

<!-- Scripts Javascript pour alertes -->
<script language="JavaScript" src="../jscript/alertes.js"></script>

<!-- Scripts Javascript divers -->
<script language="JavaScript" src="../jscript/divers.js"></script>

</head>

<?PHP if ($td == "del"){ ?>
<body onload="warndel();metReadonly();">
<?PHP } else { ?>
<body onLoad="metFocus();">
<?PHP } ?>

<?php 
include_once("../inc/entete.inc.php");

if ($pbm_sp==FALSE)
{
?>
<p align="center"> <span class="titrepage"><?PHP echo $titre ?></span></p>
<table width="100%"  border="0">
  <tr>
	<td width="33%"><strong><em><a href="sp_lst.php"><?PHP echo $txt_lnk_ret_liste; ?></a></em></strong></td>
	<td width="33%"align="center" class="annot_petit_it">(<img src="../img/oblig.png" align="absmiddle" alt="<?PHP echo $alt_chp_oblig; ?>"> : <?PHP echo $txt_div_saisoblg; ?>)</td>
	<td width="33%">&nbsp;</td>
  </tr>
</table>
<form name="sp_maj" method="post" action="sp_enr.php" onSubmit="javascript:; return (VForm(this,tab_champ,'','<?PHP echo $_SESSION["lng"]; ?>'));">
<input name="titre" type="hidden" id="titre" value="<?PHP echo $titre ?>">
<input name="td" type="hidden" id="td" value="<?PHP echo $td ?>">
  <table width="100%"  border="0">
	<tr>
	  <td width="10%" class="rubfrm" id="f_code" align="right"><?PHP echo $txt_chp_code; ?></td>
	  <td width="47%">
	  <?PHP if ($td == "add") { ?>
	  <input name="code" type="text" id="code" value="<?PHP echo $sp_code ?>" size="5" maxlength="5">
		  <img src="../img/oblig.png" align="absmiddle" alt="<?PHP echo $alt_chp_oblig; ?>">
	  <?PHP } else { ?>
	  <input name="code" type="text" id="code" value="<?PHP echo $sp_code ?>" size="5" maxlength="5" readonly="1">
	  <?PHP } ?>
	  </td>
	</tr>
	<tr>
	  <td class="rubfrm" id="f_desc" align="right"><?PHP echo $txt_chp_lib; ?></td>
	  <td><input name="desc" type="text" id="desc" value="<?PHP echo htmlspecialchars($sp_desc) ?>" size="50">
		  <img src="../img/oblig.png" align="absmiddle" alt="<?PHP echo $alt_chp_oblig; ?>"></td>
	</tr>
  </table>
  <p align="center">
	<?PHP if (($td == "add") OR ($td == "edit")) { ?>
	<input name="RAZ" type="reset" class="bton_std" id="RAZ" value="<?PHP echo $but_reinit; ?>">
	<input name="submit" type="submit" class="bton_std" id="submit" value="<?PHP echo $but_enr; ?>">
	<?PHP } ?>
	<?PHP if ($td == "del") { ?>
	<input name="del" type="submit" class="bton_std" id="del" value="<?PHP echo $but_del; ?>">
	<?PHP } ?>
  </p>
</form>
<?PHP
}
else
	aff_ret_pbm_auto("sp_lst.php",2000);
include_once("pied.php");
?>
